org.gcube.datacatalogue.grsf_manage_widget.shared.ex

## Class NoGRSFRecordException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gcube.datacatalogue.grsf_manage_widget.shared.ex.NoGRSFRecordException

All Implemented Interfaces:
  Serializable

    public class NoGRSFRecordException
    extends Exception

This is thrown when the Manage product is pushed on a product that has a Record Type field of Source or none.

Author:
  Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoGRSFRecordException()`
`NoGRSFRecordException(String errorMessage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getErrorMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoGRSFRecordException

    public NoGRSFRecordException()

#### NoGRSFRecordException

    public NoGRSFRecordException(String errorMessage)

### Method Detail

#### getErrorMessage

    public String getErrorMessage()